Subject: Re: Linux HSR driver question

From: Arvid Brodin <[email-masked]>
Date: Mon, 13 Feb 2017 16:38:58 +0100

On 2017-02-09 21:32, Murali Karicheri wrote:
> Hi Arvid,
> 
> While I work to add PRP support to the existing Linux HSR driver, I came across
> a piece of code related to prune node function. The hsr_device.c adds the 
> prune timer in hsr_dev_finalize() by calling
> 
> add_timer(&hsr->prune_timer);
> 
> But it is never restarted in hsr_prune_nodes(). Is that intentional or a bug?
> I tried adding add_timer(&hsr->prune_timer) at the end of  hsr_prune_nodes(),
> but then a iperf test stops with no traffic across the hsr interface and it
> never recovers. I have to delete the interface and create it again to recover.
> Is that the reason, it is currently disabled?
> 

Hi Murali,

Sorry I don't remember the details here. I do know I tested that a node that had
been unplugged for two minutes was forgotten by the other nodes, so this has 
worked at some time in the past, at least. :)

-- 
Arvid Brodin
Linux Consultant
ALTEN Sweden